Package svnmailer :: Module cli

[hide private]

# Module cli

source code

# Command line interface

The svnmailer provides two different command line interfaces. On the one hand there's the compatibility command line to the mailer.py script, which has some limitations and problems because of its unflexibility. On the other hand you'll find the new-style command line, which contains no subcommands and fixed parameters at all.

The CLI simply transforms old-style command lines to the new format internally and processes these further using the optparse module:

       svn-mailer commit <rep> <rev> [<config>]
    -> svn-mailer --commit --repository <rep> --revision <rev>
                 [--config <config>]

       svn-mailer propchange <rep> <rev> <author> <prop> [<conf>]
    -> svn-mailer --propchange --repository <rep> --revision <rev>
                  --author <author> --propname <prop>
                 [--config <conf>]

       # (useful with svn 1.2 and later)
       svn-mailer propchange2 <rep> <rev> <author> <prop> <action> [<conf>]
    -> svn-mailer --propchange --repository <rep> --revision <rev>
                  --author <author> --propname <prop> --action <action>
                 [--config <conf>]

       svn-mailer lock <rep> <author> [<conf>]
    -> svn-mailer --lock --repository <rep> --author <author>
                 [--config <conf>]

       svn-mailer unlock <rep> <author> [<conf>]
    -> svn-mailer --unlock --repository <rep> --author <author>
                 [--config <conf>]

Author: Andr\xc3\xa9 Malo

Classes | [hide private]

| Error Base exception for this module
| CommandlineError Error in commandline
| SvnmailerOptionParser Fully initialized option parser

Functions | [hide private]

`optparse.OptionParser`

getOptions(argv=None) Parse commandline options | source code

Variables | [hide private]

| __package__ = ``'``svnmailer``'``

Function Details | [hide private]

### getOptions(argv=None)

source code

Parse commandline options

Parameters:
  - `argv` (`list`) - Command line list. If argv is None, sys.argv[1:] is evaluated instead
Returns: `optparse.OptionParser`
  option object
Raises:
  - `CommandlineError` - Error in command line options